This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026940 - dnssd backend only works intermittently
dnssd backend only works intermittently
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 12:09 EST by Tim Waugh
Modified: 2014-04-29 01:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: cups-1.6.4-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-08 23:33:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 4365 None None None Never

  None (edit)
Description Tim Waugh 2013-11-05 12:09:50 EST
Description of problem:
When run in discovery mode, the dnssd backend sometimes fails to find any printers. By comparison, "avahi-browse -v _pdl-datastream._tcp -t" works every time.

Version-Release number of selected component (if applicable):
cups-1.7.0-4.fc20.x86_64

How reproducible:
Often.

Steps to Reproduce:
1.sudo /usr/lib/cups/backend/dnssd
2.Repeat.

Actual results:
# /usr/lib/cups/backend/dnssd
DEBUG: sent=0, count=0
# /usr/lib/cups/backend/dnssd
[...]
network dnssd://Photosmart%205510%20series%20%5B730173%5D._pdl-datastream._tcp.local/ "HP Photosmart 5510 series" "Photosmart 5510 series [730173]" "MFG:HP;MDL:Photosmart 5510 series;FZY:0;CMD:PCL,JPEG,URF;" ""
network dnssd://Photosmart%205510%20series%20%5B730173%5D%20%40%20cyberelk._ipp._tcp.local/cups "HP HP Photosmart 5510 E-all-in-one" "Photosmart 5510 series [730173] @ cyberelk" "MFG:HP;MDL:Photosmart 5510 E-all-in-one;FZY:1;CMD:PDF,PS,JPEG,PNG;" ""
DEBUG: sent=3, count=3
# /usr/lib/cups/backend/dnssd
DEBUG: sent=0, count=0

Expected results:
Consistent output every time.
Comment 1 Tim Waugh 2013-11-19 11:56:01 EST
Hmm, I can't seem to reproduce it now.
Comment 2 Tim Waugh 2014-02-11 07:34:35 EST
Think I've figured this one out.

The dnssd backend runs the Avahi simple loop for 500ms in continuous loop of its own, stopping once it's resolved as many services as it's discovered.

The first time round the loop, it might not have discovered any yet, so thinks there is nothing to resolve and exits.

The fix is to wait until each service browser has said "all for now".
Comment 3 Fedora Update System 2014-03-05 08:48:31 EST
cups-1.7.1-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cups-1.7.1-5.fc20
Comment 4 Fedora Update System 2014-03-06 03:10:26 EST
Package cups-1.7.1-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.7.1-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3451/cups-1.7.1-5.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-03-07 01:32:26 EST
Package cups-1.7.1-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-1.7.1-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3451/cups-1.7.1-6.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2014-03-08 23:33:01 EST
cups-1.7.1-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-04-29 01:24:09 EDT
cups-1.6.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.